Index: src/util/pixcut.c
===================================================================
--- src/util/pixcut.c	(revision 54124)
+++ src/util/pixcut.c	(working copy)
@@ -131,7 +131,7 @@
 		base_y = atol(bu_optarg);
 		break;
 	    case 'C':
-		parse_color(background, bu_optarg);
+		parse_color(background, (char *)bu_optarg);
 		break;
 	    case '#':
 		num_bytes = atol(bu_optarg);
@@ -142,7 +142,7 @@
     }
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin))) return 0;
-	in_name = "-";
+	in_name = (char *)"-";
 	input = stdin;
     } else {
 	in_name = argv[bu_optind];
@@ -231,14 +231,14 @@
 			   "pixcut: adding background strip on the");
 
 	    if (base_x < 0) {
-		last = "left";
+		last = (char *)"left";
 	    }
 	    if (base_y < 0) {
 		if (last) {
 		    (void) fprintf(stderr, " %s", last);
 		    comma=1;
 		}
-		last = "bottom";
+		last = (char *)"bottom";
 	    }
 	    if (base_x+new_width >org_width) {
 		if (last) {
@@ -259,7 +259,7 @@
 		    }
 		    comma = 1;
 		}
-		last = "top";
+		last = (char *)"top";
 	    }
 	    if (comma) {
 		fprintf(stderr, " and %s.\n", last);
Index: src/util/asc-pl.c
===================================================================
--- src/util/asc-pl.c	(revision 54124)
+++ src/util/asc-pl.c	(working copy)
@@ -61,7 +61,7 @@
     char *bp;
     char buf[BUF_LEN];
     char sarg[BUF_LEN];
-    static char *fm[] = { "r", "w" };
+    static const char *fm[] = { "r", "w" };
     double darg[6] = {0.0};
     static FILE *fp[2];
     int i;
Index: src/util/pl-asc.c
===================================================================
--- src/util/pl-asc.c	(revision 54124)
+++ src/util/pl-asc.c	(working copy)
@@ -43,7 +43,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
 };
 struct uplot uerror = { 0, 0, 0 };
 struct uplot letters[] = {
Index: src/util/pl-X.c
===================================================================
--- src/util/pl-X.c	(revision 54124)
+++ src/util/pl-X.c	(working copy)
@@ -61,7 +61,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
 };
 struct uplot uerror = { 0, 0, 0 };
 struct uplot letters[] = {
Index: src/util/pix-yuv.c
===================================================================
--- src/util/pix-yuv.c	(revision 54124)
+++ src/util/pix-yuv.c	(working copy)
@@ -97,7 +97,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infd = fileno(stdin);
     } else {
 	char *ifname;
Index: src/util/yuv-pix.c
===================================================================
--- src/util/yuv-pix.c	(revision 54124)
+++ src/util/yuv-pix.c	(working copy)
@@ -98,7 +98,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infd = fileno(stdin);
     } else {
 	char *ifname;
Index: src/util/pix-png.c
===================================================================
--- src/util/pix-png.c	(revision 54124)
+++ src/util/pix-png.c	(working copy)
@@ -102,7 +102,7 @@
 
     if (bu_optind >= argc) {
 	/* no more args */
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	file_name = argv[bu_optind];
 	if ((*infp = fopen(file_name, "rb")) == NULL) {
Index: src/util/png-pix.c
===================================================================
--- src/util/png-pix.c	(revision 54124)
+++ src/util/png-pix.c	(working copy)
@@ -39,7 +39,7 @@
 static png_color_16 def_backgrd={ 0, 0, 0, 0, 0 };
 static int verbose=0;
 
-static char *usage="Usage:\n\t%s [-v] [png_input_file] > pix_output_file\n";
+static const char *usage="Usage:\n\t%s [-v] [png_input_file] > pix_output_file\n";
 
 int
 main(int argc, char **argv)
Index: src/util/bw-a.c
===================================================================
--- src/util/bw-a.c	(revision 54124)
+++ src/util/bw-a.c	(working copy)
@@ -83,7 +83,7 @@
 
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin))) return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pixbgstrip.c
===================================================================
--- src/util/pixbgstrip.c	(revision 54124)
+++ src/util/pixbgstrip.c	(working copy)
@@ -95,7 +95,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/bw-imp.c
===================================================================
--- src/util/bw-imp.c	(revision 54124)
+++ src/util/bw-imp.c	(working copy)
@@ -67,7 +67,7 @@
 static int (*pattern)[8] = dither;	/* -> dither or halftone */
 
 static FILE *infp;			/* input file handle */
-static char *file_name = "-";	/* name of input file, for banner */
+static const char *file_name = "-";	/* name of input file, for banner */
 
 static size_t height;			/* input height */
 static size_t width;			/* input width */
Index: src/util/mac-pix.c
===================================================================
--- src/util/mac-pix.c	(revision 54124)
+++ src/util/mac-pix.c	(working copy)
@@ -132,7 +132,7 @@
 		break;
 	    case 'C':
 		{
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 		    unsigned char *conp
 			= (unsigned char *)color;
 
@@ -163,7 +163,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/dsp_add.c
===================================================================
--- src/util/dsp_add.c	(revision 54124)
+++ src/util/dsp_add.c	(working copy)
@@ -37,8 +37,8 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "h";
-char *progname = "(noname)";
+const char *options = "h";
+const char *progname = "(noname)";
 
 #define ADD_STYLE_INT 0
 #define ADD_STYLE_FLOAT 1
@@ -47,7 +47,7 @@
 /*
  * U S A G E --- tell user how to invoke this program, then exit
  */
-void usage(char *s)
+void usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
 
Index: src/util/png_info.c
===================================================================
--- src/util/png_info.c	(revision 54124)
+++ src/util/png_info.c	(working copy)
@@ -39,7 +39,7 @@
 int
 main(int argc, char **argv)
 {
-    static char *usage="Usage:\n\t%s png__file\n";
+    static const char *usage="Usage:\n\t%s png__file\n";
 
     int i;
     FILE *fp_in = NULL;
Index: src/util/orle-pix.c
===================================================================
--- src/util/orle-pix.c	(revision 54124)
+++ src/util/orle-pix.c	(working copy)
@@ -30,7 +30,7 @@
 #include "orle.h"
 #include "bu.h"
 
-static char *usage[] =
+static const char *usage[] =
 {
     "Usage: rle-pix [-dv] [-b (rgbBG)] [file.rle]",
     "",
@@ -226,7 +226,7 @@
 static void
 prnt_Usage(void)
 {
-    char **p = usage;
+    char **p = (char **)usage;
     while (*p)
 	(void) fprintf(stderr, "%s\n", *p++);
     return;
Index: src/util/pixfilter.c
===================================================================
--- src/util/pixfilter.c	(revision 54124)
+++ src/util/pixfilter.c	(working copy)
@@ -41,8 +41,8 @@
 
 /* The filter kernels */
 struct kernels {
-    char *name;
-    char *uname;		/* What is needed to recognize it */
+    const char *name;
+    const char *uname;		/* What is needed to recognize it */
     int kern[9];
     int kerndiv;	/* Divisor for kernel */
     int kernoffset;	/* To be added to result */
@@ -86,7 +86,7 @@
 		verbose++;
 		break;
 	    case 'f':
-		select_filter(bu_optarg);
+		select_filter((char *)bu_optarg);
 		break;
 	    case 'd':
 		dflag++;
@@ -113,7 +113,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
@@ -144,7 +144,7 @@
     size_t ret;
 
     /* Select Default Filter (low pass) */
-    select_filter("low");
+    select_filter((char *)"low");
 
     if (!get_args(argc, argv)) {
 	dousage();
Index: src/util/wavelet.c
===================================================================
--- src/util/wavelet.c	(revision 54124)
+++ src/util/wavelet.c	(working copy)
@@ -62,9 +62,9 @@
 #define RECONSTRUCT -1
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "W:S:s:w:n:t:#:D:12drR:";
+const char *options = "W:S:s:w:n:t:#:D:12drR:";
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 int img_space=1;
 int debug;
 size_t width = 512;
@@ -81,7 +81,7 @@
  * U S A G E --- tell user how to invoke this program, then exit
  */
 void
-usage(char *s)
+usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
 
Index: src/util/plstat.c
===================================================================
--- src/util/plstat.c	(revision 54124)
+++ src/util/plstat.c	(working copy)
@@ -43,7 +43,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
 };
 struct uplot uerror = { 0, 0, 0 };
 struct uplot letters[] = {
Index: src/util/pixcount.c
===================================================================
--- src/util/pixcount.c	(revision 54124)
+++ src/util/pixcount.c	(working copy)
@@ -233,7 +233,7 @@
 	}
     }
 
-    palette = bu_rb_create1("Pixel palette", compare_pixels);
+    palette = bu_rb_create1((char *)"Pixel palette", compare_pixels);
     bu_rb_uniq_on1(palette);
 
     /*
Index: src/util/ttcp.c
===================================================================
--- src/util/ttcp.c	(revision 54124)
+++ src/util/ttcp.c	(working copy)
@@ -141,7 +141,7 @@
 
 
 static void
-err(char *s)
+err(const char *s)
 {
     fprintf(stderr, "ttcp%s: ", trans?"-t":"-r");
     perror(s);
@@ -151,7 +151,7 @@
 
 
 void
-mes(char *s)
+mes(const char *s)
 {
     fprintf(stderr, "ttcp%s: %s\n", trans?"-t":"-r", s);
 }
@@ -263,7 +263,7 @@
 {
     struct timeval tdiff;
     time_t t;
-    char *cp;
+    const char *cp;
     int i;
     int ms;
 
Index: src/util/pixshrink.c
===================================================================
--- src/util/pixshrink.c	(revision 54124)
+++ src/util/pixshrink.c	(working copy)
@@ -35,10 +35,10 @@
 #define UCHAR unsigned char
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "uhs:w:n:f:";
+const char *options = "uhs:w:n:f:";
 
-char *progname = "(noname)";
-char *filename = "(stdin)";
+const char *progname = "(noname)";
+const char *filename = "(stdin)";
 
 void shrink_image(int scanlen, int Width, int Height, unsigned char *buffer, int Factor), usample_image(int scanlen, int Width, int Height, unsigned char *buffer, int Factor);
 
Index: src/util/bwscale.c
===================================================================
--- src/util/bwscale.c	(revision 54124)
+++ src/util/bwscale.c	(working copy)
@@ -126,7 +126,7 @@
 	if (isatty(fileno(stdin))) {
 	    return 0;
 	}
-	file_name = "-";
+	file_name = (char *)"-";
 	buffp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pix-ps.c
===================================================================
--- src/util/pix-ps.c	(revision 54124)
+++ src/util/pix-ps.c	(working copy)
@@ -186,7 +186,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "[stdin]";
+	file_name = (char *)"[stdin]";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pixcolors.c
===================================================================
--- src/util/pixcolors.c	(revision 54124)
+++ src/util/pixcolors.c	(working copy)
@@ -37,9 +37,9 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "v";
+const char *options = "v";
 char verbose = 0;
-char *progname = "(noname)";
+const char *progname = "(noname)";
 
 #define PIXELS 1024
 unsigned char pixbuf[BUFSIZ*3];
Index: src/util/pl-pl.c
===================================================================
--- src/util/pl-pl.c	(revision 54124)
+++ src/util/pl-pl.c	(working copy)
@@ -37,7 +37,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
     int t3d;	/* non-zero if 3D */
 };
 
Index: src/util/plgetframe.c
===================================================================
--- src/util/plgetframe.c	(revision 54124)
+++ src/util/plgetframe.c	(working copy)
@@ -43,7 +43,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
 };
 struct uplot uerror = { 0, 0, 0 };
 struct uplot letters[] = {
Index: src/util/dunnsnap.c
===================================================================
--- src/util/dunnsnap.c	(revision 54124)
+++ src/util/dunnsnap.c	(working copy)
@@ -68,7 +68,7 @@
 		scr_height = scr_width = 1024;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 	    case 'S':
Index: src/util/alias-pix.c
===================================================================
--- src/util/alias-pix.c	(revision 54124)
+++ src/util/alias-pix.c	(working copy)
@@ -32,7 +32,7 @@
 #include "bu.h"
 
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 
 
 void usage(void)
Index: src/util/pix-alias.c
===================================================================
--- src/util/pix-alias.c	(revision 54124)
+++ src/util/pix-alias.c	(working copy)
@@ -46,9 +46,9 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "hs:w:n:";
+const char *options = "hs:w:n:";
 char optflags[sizeof(options)];
-char *progname = "(noname)";
+const char *progname = "(noname)";
 
 int x=512;
 int y=512;
Index: src/util/bw-png.c
===================================================================
--- src/util/bw-png.c	(revision 54124)
+++ src/util/bw-png.c	(working copy)
@@ -85,7 +85,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/dunncolor.c
===================================================================
--- src/util/dunncolor.c	(revision 54124)
+++ src/util/dunncolor.c	(working copy)
@@ -41,7 +41,7 @@
 
 extern void dunnopen(void);
 extern int ready(int nsecs);
-extern void getexposure(char *title);
+extern void getexposure(const char *title);
 extern int dunnsend(char color, int val);
 
 
Index: src/util/terrain.c
===================================================================
--- src/util/terrain.c	(revision 54124)
+++ src/util/terrain.c	(working copy)
@@ -48,10 +48,10 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "w:n:s:L:H:O:S:V:D:f:co:v";
+const char *options = "w:n:s:L:H:O:S:V:D:f:co:v";
 
 int do_convert = 1;
-char *progname = "(noname)";
+const char *progname = "(noname)";
 size_t xdim = 256;
 size_t ydim = 256;
 
@@ -82,7 +82,7 @@
  * U S A G E --- tell user how to invoke this program, then exit
  */
 void
-usage(char *s)
+usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
 
Index: src/util/cv.c
===================================================================
--- src/util/cv.c	(revision 54124)
+++ src/util/cv.c	(working copy)
@@ -70,7 +70,7 @@
 
     in_pat = argv[1];
     if (BU_STR_EQUAL(in_pat, ""))
-	in_pat = "huc";
+	in_pat = (char *)"huc";
     if (strlen(in_pat) > 4 || strlen(in_pat) < 1) {
 	fprintf(stderr, "cv: unrecognized input pattern\n");
 	return 1;
@@ -78,7 +78,7 @@
 
     out_pat = argv[2];
     if (BU_STR_EQUAL(out_pat, ""))
-	out_pat = "nuc";
+	out_pat = (char *)"nuc";
     if (strlen(out_pat) > 4 || strlen(out_pat) < 1) {
 	fprintf(stderr, "cv: unrecognized output pattern\n");
 	return 1;
Index: src/util/texturescale.c
===================================================================
--- src/util/texturescale.c	(revision 54124)
+++ src/util/texturescale.c	(working copy)
@@ -128,7 +128,7 @@
 		solid_type = SPHERE;
 		break;
 	    case 'T':
-		if (! read_radii(&r1, &r2, bu_optarg)) {
+		if (! read_radii(&r1, &r2, (char *)bu_optarg)) {
 		    (void) fprintf(stderr,
 				   "Illegal torus radii: '%s'\n", bu_optarg);
 		    return 0;
@@ -148,7 +148,7 @@
 	    (void) fprintf(stderr, "texturescale: cannot read from tty\n");
 	    return 0;
 	}
-	file_name = "stdin";
+	file_name = (char *)"stdin";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pixfieldsep.c
===================================================================
--- src/util/pixfieldsep.c	(revision 54124)
+++ src/util/pixfieldsep.c	(working copy)
@@ -39,8 +39,8 @@
 size_t bytes_per_sample = 3;
 int doubleit = 0;
 
-char *even_file = "even.pix";
-char *odd_file = "odd.pix";
+const char *even_file = "even.pix";
+const char *odd_file = "odd.pix";
 
 static char usage[] = "\
 Usage: pixfieldsep [-w file_width] [-s square_size] [-# nbytes/pixel] \n\
Index: src/util/double-asc.c
===================================================================
--- src/util/double-asc.c	(revision 54124)
+++ src/util/double-asc.c	(working copy)
@@ -113,14 +113,14 @@
 	}
     }
     if (format == 0)
-	format = " %g";
+	format = (char *)" %g";
 
     /*
      * Establish the input stream
      */
     switch (argc - bu_optind) {
 	case 0:
-	    file_name = "stdin";
+	    file_name = (char *)"stdin";
 	    infd = 0;
 	    break;
 	case 1:
Index: src/util/bwfilter.c
===================================================================
--- src/util/bwfilter.c	(revision 54124)
+++ src/util/bwfilter.c	(working copy)
@@ -41,8 +41,8 @@
 
 /* The filter kernels */
 struct kernels {
-    char *name;
-    char *uname;		/* What is needed to recognize it */
+    const char *name;
+    const char *uname;		/* What is needed to recognize it */
     int kern[9];
     int kerndiv;	/* Divisor for kernel */
     int kernoffset;	/* To be added to result */
@@ -69,7 +69,7 @@
 char *file_name;
 FILE *infp;
 
-void select_filter(char *str), dousage(void);
+void select_filter(const char *str), dousage(void);
 
 char usage[] = "\
 Usage: bwfilter [-f type] [-v] [-d div] [-o offset]\n\
@@ -113,7 +113,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
@@ -240,7 +240,7 @@
  * based on it.
  */
 void
-select_filter(char *str)
+select_filter(const char *str)
 {
     int i;
 
Index: src/util/pixhalve.c
===================================================================
--- src/util/pixhalve.c	(revision 54124)
+++ src/util/pixhalve.c	(working copy)
@@ -92,7 +92,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/rle-pix.c
===================================================================
--- src/util/rle-pix.c	(revision 54124)
+++ src/util/rle-pix.c	(working copy)
@@ -103,7 +103,7 @@
 		break;
 	    case 'C':
 		{
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 		    int *conp = background;
 
 		    /* premature null => atoi gives zeros */
@@ -127,7 +127,7 @@
 	}
 	bu_optind++;
     } else {
-	infile = "-";
+	infile = (char *)"-";
     }
     if (argv[bu_optind] != NULL) {
 	if (bu_file_exists(argv[bu_optind], NULL)) {
Index: src/util/pixrot.c
===================================================================
--- src/util/pixrot.c	(revision 54124)
+++ src/util/pixrot.c	(working copy)
@@ -121,7 +121,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	ifp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/bwshrink.c
===================================================================
--- src/util/bwshrink.c	(revision 54124)
+++ src/util/bwshrink.c	(working copy)
@@ -36,10 +36,10 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "uhs:w:n:f:";
+const char *options = "uhs:w:n:f:";
 
-char *progname = "(noname)";
-char *filename = "(stdin)";
+const char *progname = "(noname)";
+const char *filename = "(stdin)";
 
 /* S H R I N K _ I M A G E
  */
Index: src/util/bw-ps.c
===================================================================
--- src/util/bw-ps.c	(revision 54124)
+++ src/util/bw-ps.c	(working copy)
@@ -109,7 +109,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "[stdin]";
+	file_name = (char *)"[stdin]";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pix-ppm.c
===================================================================
--- src/util/pix-ppm.c	(revision 54124)
+++ src/util/pix-ppm.c	(working copy)
@@ -90,7 +90,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	file_name = argv[bu_optind];
 	if ((infp = fopen(file_name, "r")) == NULL) {
Index: src/util/pixmatte.c
===================================================================
--- src/util/pixmatte.c	(revision 54124)
+++ src/util/pixmatte.c	(working copy)
@@ -83,7 +83,7 @@
 
 
 void
-usage(char *s, int n)
+usage(const char *s, int n)
 {
     if (s && *s) (void)fputs(s, stderr);
 
Index: src/util/pl-tek.c
===================================================================
--- src/util/pl-tek.c	(revision 54124)
+++ src/util/pl-tek.c	(working copy)
@@ -42,7 +42,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
     int t3d;	/* non-zero if 3D */
 };
 
Index: src/util/pix-spm.c
===================================================================
--- src/util/pix-spm.c	(revision 54124)
+++ src/util/pix-spm.c	(working copy)
@@ -46,7 +46,7 @@
     size = atoi(argv[2]);
     mp = bn_spm_init(size, sizeof(RGBpixel));
     bn_spm_pix_load(mp, argv[1], size, size);
-    bn_spm_save(mp, "-");
+    bn_spm_save(mp, (char *)"-");
 
     return 0;
 }
Index: src/util/pixembed.c
===================================================================
--- src/util/pixembed.c	(revision 54124)
+++ src/util/pixembed.c	(working copy)
@@ -99,7 +99,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	buffp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pixborder.c
===================================================================
--- src/util/pixborder.c	(revision 54124)
+++ src/util/pixborder.c	(working copy)
@@ -376,13 +376,13 @@
 		autosize = 1;
 		break;
 	    case 'b':
-		if (! bu_str_to_rgb(bu_optarg, border_rgb)) {
+		if (! bu_str_to_rgb((char *)bu_optarg, border_rgb)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
 		break;
 	    case 'e':
-		if (! bu_str_to_rgb(bu_optarg, exterior_rgb)) {
+		if (! bu_str_to_rgb((char *)bu_optarg, exterior_rgb)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
@@ -394,7 +394,7 @@
 		autosize = 0;
 		break;
 	    case 'i':
-		if (! bu_str_to_rgb(bu_optarg, interior_rgb)) {
+		if (! bu_str_to_rgb((char *)bu_optarg, interior_rgb)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
@@ -410,7 +410,7 @@
 		autosize = 0;
 		break;
 	    case 't':
-		if (! bu_str_to_rgb(bu_optarg, rgb_tol)) {
+		if (! bu_str_to_rgb((char *)bu_optarg, rgb_tol)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
@@ -427,14 +427,14 @@
 		bottom_edge = atol(bu_optarg);
 		break;
 	    case 'B':
-		if (! read_hsv(border_hsv, bu_optarg)) {
+		if (! read_hsv(border_hsv, (char *)bu_optarg)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
 		hsv_to_rgb(border_hsv, border_rgb);
 		break;
 	    case 'E':
-		if (! read_hsv(exterior_hsv, bu_optarg)) {
+		if (! read_hsv(exterior_hsv, (char *)bu_optarg)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
@@ -442,7 +442,7 @@
 		colors_specified |= COLORS_EXTERIOR;
 		break;
 	    case 'I':
-		if (! read_hsv(interior_hsv, bu_optarg)) {
+		if (! read_hsv(interior_hsv, (char *)bu_optarg)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
@@ -450,7 +450,7 @@
 		colors_specified |= COLORS_INTERIOR;
 		break;
 	    case 'T':
-		if (! read_hsv(hsv_tol, bu_optarg)) {
+		if (! read_hsv(hsv_tol, (char *)bu_optarg)) {
 		    (void) fprintf(stderr, "Illegal color: '%s'\n", bu_optarg);
 		    return 0;
 		}
@@ -473,7 +473,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "stdin";
+	file_name = (char *)"stdin";
 	infp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/util/pix-orle.c
===================================================================
--- src/util/pix-orle.c	(revision 54124)
+++ src/util/pix-orle.c	(working copy)
@@ -84,7 +84,7 @@
 		break;
 	    case 'C':
 		{
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 		    int *conp = background;
 
 		    /* premature null => atoi gives zeros */
@@ -106,7 +106,7 @@
 	}
 	bu_optind++;
     } else {
-	infile = "-";
+	infile = (char *)"-";
     }
     if (argv[bu_optind] != NULL) {
 	if (bu_file_exists(argv[bu_optind], NULL)) {
Index: src/util/pixclump.c
===================================================================
--- src/util/pixclump.c	(revision 54124)
+++ src/util/pixclump.c	(working copy)
@@ -65,7 +65,7 @@
 
 static void print_debug_usage (void)
 {
-    static char *flag_denotation[] = {
+    static const char *flag_denotation[] = {
 	"",
 	"color table",
 	"finding best pixel match",
@@ -186,7 +186,7 @@
     while ((ch = bu_getopt(argc, argv, OPT_STRING)) != -1)
 	switch (ch) {
 	    case 'c':
-		if (! bu_str_to_rgb(bu_optarg, rgb)) {
+		if (! bu_str_to_rgb((char *)bu_optarg, rgb)) {
 		    bu_log("Illegal color: '%s'\n", bu_optarg);
 		    print_usage();
 		}
@@ -194,7 +194,7 @@
 		cf_name = 0;
 		break;
 	    case 'f':
-		cf_name = bu_optarg;
+		cf_name = (char *)bu_optarg;
 		next_color = 0;
 		break;
 	    case 'x':
@@ -212,7 +212,7 @@
 	    infp = stdin;
 	    /* Break intentionally missing */
 	case 1:
-	    outf_name = "stdout";
+	    outf_name = (char *)"stdout";
 	    outfp = stdout;
 	    /* Break intentionally missing */
 	case 2:
Index: src/util/bwmod.c
===================================================================
--- src/util/bwmod.c	(revision 54124)
+++ src/util/bwmod.c	(working copy)
@@ -40,7 +40,7 @@
 #include "vmath.h"
 
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 
 char *file_name;
 
@@ -143,7 +143,7 @@
     if (bu_optind >= argc) {
 	if (isatty((int)fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	char *ifname;
 	file_name = argv[bu_optind];
Index: src/util/pl-dm.c
===================================================================
--- src/util/pl-dm.c	(revision 54124)
+++ src/util/pl-dm.c	(working copy)
@@ -47,7 +47,7 @@
 
 
 struct cmdtab {
-    char *ct_name;
+    const char *ct_name;
     int (*ct_func)();
 };
 
@@ -1083,7 +1083,7 @@
 Ogl_dmInit()
 {
     fastf_t windowbounds[6] = { 2047.0, -2048.0, 2047.0, -2048.0, 2047.0, -2048.0 };
-    char *av[4];
+    const char *av[4];
 
     av[0] = "Ogl_open";
     av[1] = "-i";
Index: src/util/pixelswap.c
===================================================================
--- src/util/pixelswap.c	(revision 54124)
+++ src/util/pixelswap.c	(working copy)
@@ -33,8 +33,8 @@
 #include "fb.h"
 
 
-char *options = "hd:";
-char *progname = "(noname)";
+const char *options = "hd:";
+const char *progname = "(noname)";
 
 int depth = 3;
 unsigned char ibuf[32767 * 3];
@@ -46,7 +46,7 @@
 /*
  * U S A G E --- tell user how to invoke this program, then exit
  */
-void usage(char *s)
+void usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
 
Index: src/util/pixdsplit.c
===================================================================
--- src/util/pixdsplit.c	(revision 54124)
+++ src/util/pixdsplit.c	(working copy)
@@ -77,8 +77,8 @@
     int dfd = -1;	/*   "       "     */
     ssize_t ret;
 
-    c_per_p = 3; cf_name = "-";
-    d_per_p = 1; df_name = "";
+    c_per_p = 3; cf_name = (char *)"-";
+    d_per_p = 1; df_name = (char *)"";
     while ((ch = bu_getopt(argc, argv, OPT_STRING)) != -1)
 	switch (ch) {
 	    case 'd':
@@ -143,7 +143,7 @@
     if (*cf_name == '\0') {
 	cf_name = 0;
     } else if ((*cf_name == '-') && (*(cf_name + 1) == '\0')) {
-	cf_name = "stdout";
+	cf_name = (char *)"stdout";
 	cfd = 1;
     } else if ((cfd = open(cf_name,  O_WRONLY | O_CREAT | O_TRUNC | O_BINARY, 0644)) == -1) {
 	bu_log("Cannot open file '%s'\n", cf_name);
@@ -155,7 +155,7 @@
     if (*df_name == '\0') {
 	df_name = 0;
     } else if ((*df_name == '-') && (*(df_name + 1) == '\0')) {
-	df_name = "stdout";
+	df_name = (char *)"stdout";
 	dfd = 1;
     } else if ((dfd = open(df_name, O_WRONLY | O_CREAT | O_TRUNC | O_BINARY, 0644)) == -1) {
 	bu_log("Cannot open file '%s'\n", df_name);
Index: src/util/pixmerge.c
===================================================================
--- src/util/pixmerge.c	(revision 54124)
+++ src/util/pixmerge.c	(working copy)
@@ -99,7 +99,7 @@
 	    case 'C':
 	    case 'c':	/* backward compatibility */
 		{
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 		    unsigned char *conp = pconst;
 
 		    /* premature null => atoi gives zeros */
Index: src/util/pldebug.c
===================================================================
--- src/util/pldebug.c	(revision 54124)
+++ src/util/pldebug.c	(working copy)
@@ -48,7 +48,7 @@
 struct uplot {
     int targ;	/* type of args */
     int narg;	/* number or args */
-    char *desc;	/* description */
+    const char *desc;	/* description */
 };
 struct uplot uerror = { 0, 0, 0 };
 struct uplot letters[] = {
Index: src/util/hex.c
===================================================================
--- src/util/hex.c	(revision 54124)
+++ src/util/hex.c	(working copy)
@@ -37,8 +37,8 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-static char *options = "o:";
-static char *progname = "(noname)";
+static const char *options = "o:";
+static const char *progname = "(noname)";
 
 static long offset=0;	 /* offset from beginning of file from which to start */
 
Index: src/util/pix3filter.c
===================================================================
--- src/util/pix3filter.c	(revision 54124)
+++ src/util/pix3filter.c	(working copy)
@@ -46,8 +46,8 @@
 
 /* The filter kernels */
 struct kernels {
-    char *name;
-    char *uname;		/* What is needed to recognize it */
+    const char *name;
+    const char *uname;		/* What is needed to recognize it */
     int kern[27];
     int kerndiv;	/* Divisor for kernel */
     int kernoffset;	/* To be added to result */
@@ -98,7 +98,7 @@
 		verbose++;
 		break;
 	    case 'f':
-		select_filter(bu_optarg);
+		select_filter((char *)bu_optarg);
 		break;
 	    case 'd':
 		dflag++;
@@ -226,7 +226,7 @@
     int max, min;
 
     /* Select Default Filter (low pass) */
-    select_filter("low");
+    select_filter((char *)"low");
 
     if (!get_args(argc, argv)) {
 	dousage();
